package org.rscript;

import java.io.IOException;

/**
 * Thrown by <tt>Updater</tt> when RuneTracker returns an HTTP status code
 * that is not 200.
 *
 * @author Cynthia of irc.rscript.org
 */
public class HttpStatusException extends IOException {
	private static final long serialVersionUID = 1L;

	public HttpStatusException() {}

	public HttpStatusException(String message, Throwable cause) {
		super(message, cause);
	}

	public HttpStatusException(String message) {
		super(message);
	}

	public HttpStatusException(Throwable cause) {
		super(cause);
	}
}