package org.runetracker;

import java.awt.Toolkit;
import java.awt.TrayIcon;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;

public class TrayIconControllerManager {
	private TrayIconController controller;

	private static final TrayIconControllerManager SINGLETON = new TrayIconControllerManager();

	/**
	 * This constructor may only be used to create the singleton.
	 */
	private TrayIconControllerManager() {}

	public static TrayIconControllerManager getInstance() {
		return SINGLETON;
	}

	public TrayIconController getTrayIconController() {
		return controller;
	}
	
	public void setTrayIconController(TrayIconController controller) {
		this.controller = controller;
	}
}
